summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2020-09-11 08:26:25 +0200
committerRemi Collet <remi@remirepo.net>2020-09-11 08:26:25 +0200
commit33257bffb15958fa6ceb33bc1d628bb9b686a706 (patch)
tree3a550c54fe1b56bd76194d1f8ee3093764501d4e
parent96baaac0f735f2a3b57faafc11d64fe0e7eefc8e (diff)
update to 2.9.0HEADmaster
raise dependency to PHP 7.3 raise dependency to laminas-stdlib 3.2.1 raise dependency to laminas-zendframework-bridge 1.0.4 switch to phpunit8
-rw-r--r--composer.json22
-rw-r--r--php-laminas-paginator.spec73
2 files changed, 49 insertions, 46 deletions
diff --git a/composer.json b/composer.json
index 07da5af..7edb008 100644
--- a/composer.json
+++ b/composer.json
@@ -19,30 +19,26 @@
"sort-packages": true
},
"extra": {
- "branch-alias": {
- "dev-master": "2.8.x-dev",
- "dev-develop": "2.9.x-dev"
- },
"laminas": {
"component": "Laminas\\Paginator",
"config-provider": "Laminas\\Paginator\\ConfigProvider"
}
},
"require": {
- "php": "^7.0 || ^5.6",
- "laminas/laminas-stdlib": "^2.7 || ^3.0",
- "laminas/laminas-zendframework-bridge": "^1.0"
+ "php": "^7.3",
+ "laminas/laminas-stdlib": "^3.2.1",
+ "laminas/laminas-zendframework-bridge": "^1.0.4"
},
"require-dev": {
- "laminas/laminas-cache": "^2.6.1",
+ "laminas/laminas-cache": "^2.9.0",
"laminas/laminas-coding-standard": "~1.0.0",
"laminas/laminas-config": "^2.6.0",
- "laminas/laminas-db": "^2.9.2",
- "laminas/laminas-filter": "^2.6.1",
+ "laminas/laminas-db": "^2.11.3",
+ "laminas/laminas-filter": "^2.9.4",
"laminas/laminas-json": "^2.6.1",
- "laminas/laminas-servicemanager": "^2.7.5 || ^3.0.3",
- "laminas/laminas-view": "^2.6.3",
- "phpunit/phpunit": "^6.2.1 || ^5.7.15"
+ "laminas/laminas-servicemanager": "^3.4.1",
+ "laminas/laminas-view": "^2.11.4",
+ "phpunit/phpunit": "^8.5.8"
},
"suggest": {
"laminas/laminas-cache": "Laminas\\Cache component to support cache features",
diff --git a/php-laminas-paginator.spec b/php-laminas-paginator.spec
index d5ce3ae..85dfccd 100644
--- a/php-laminas-paginator.spec
+++ b/php-laminas-paginator.spec
@@ -7,7 +7,7 @@
# Please, preserve the changelog entries
#
%global bootstrap 0
-%global gh_commit ffc8ffc115375522334e039972169f1c226b4f7d
+%global gh_commit f1cf5c29d8dd7d6aa77f490e322326b3b670e28c
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner laminas
%global gh_project laminas-paginator
@@ -22,7 +22,7 @@
%endif
Name: php-%{gh_project}
-Version: 2.8.3
+Version: 2.9.0
Release: 1%{?dist}
Summary: %{namespace} Framework %{library} component
@@ -34,58 +34,58 @@ Source1: makesrc.sh
BuildArch: noarch
# Tests
%if %{with_tests}
-BuildRequires: php(language) >= 5.6
+BuildRequires: php(language) >= 7.3
BuildRequires: php-json
BuildRequires: php-spl
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.0 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.2.1 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0.4 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
# From composer, "require-dev": {
-# "laminas/laminas-cache": "^2.6.1",
+# "laminas/laminas-cache": "^2.9.0",
# "laminas/laminas-coding-standard": "~1.0.0",
# "laminas/laminas-config": "^2.6.0",
-# "laminas/laminas-db": "^2.9.2",
-# "laminas/laminas-filter": "^2.6.1",
+# "laminas/laminas-db": "^2.11.3",
+# "laminas/laminas-filter": "^2.9.4",
# "laminas/laminas-json": "^2.6.1",
-# "laminas/laminas-servicemanager": "^2.7.5 || ^3.0.3",
-# "laminas/laminas-view": "^2.6.3",
-# "phpunit/phpunit": "^6.2.1 || ^5.7.15"
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-cache) >= 2.6.1 with php-autoloader(%{gh_owner}/laminas-cache) < 3)
+# "laminas/laminas-servicemanager": "^3.4.1",
+# "laminas/laminas-view": "^2.11.4",
+# "phpunit/phpunit": "^8.5.8"
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-cache) >= 2.9.0 with php-autoloader(%{gh_owner}/laminas-cache) < 3)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-config) >= 2.6.0 with php-autoloader(%{gh_owner}/laminas-config) < 3)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-db) >= 2.9.2 with php-autoloader(%{gh_owner}/laminas-db) < 3)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-filter) >= 2.6.1 with php-autoloader(%{gh_owner}/laminas-filter) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-db) >= 2.11.3 with php-autoloader(%{gh_owner}/laminas-db) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-filter) >= 2.9.4 with php-autoloader(%{gh_owner}/laminas-filter) < 3)
# ignore max version as test suite passes with 3.1.1
BuildRequires: php-autoloader(%{gh_owner}/laminas-json) >= 2.6.1
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-servicemanager) >= 2.7.5 with php-autoloader(%{gh_owner}/laminas-servicemanager) < 4)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-view) >= 2.6.3 with php-autoloader(%{gh_owner}/laminas-view) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-servicemanager) >= 3.4.1 with php-autoloader(%{gh_owner}/laminas-servicemanager) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-view) >= 2.11.4 with php-autoloader(%{gh_owner}/laminas-view) < 3)
# remirepo:11
%else
-BuildRequires: php-laminas-stdlib
-BuildRequires: php-laminas-zendframework-bridge
-BuildRequires: php-laminas-cache
-BuildRequires: php-laminas-config
-BuildRequires: php-laminas-db
-BuildRequires: php-laminas-filter
-BuildRequires: php-laminas-json
-BuildRequires: php-laminas-servicemanager
-BuildRequires: php-laminas-view
+BuildRequires: php-laminas-stdlib >= 3.2.1
+BuildRequires: php-laminas-zendframework-bridge >= 1.0.4
+BuildRequires: php-laminas-cache >= 2.9.0
+BuildRequires: php-laminas-config >= 2.6.0
+BuildRequires: php-laminas-db >= 2.11.3
+BuildRequires: php-laminas-filter >= 2.9.4
+BuildRequires: php-laminas-json >= 2.6.1
+BuildRequires: php-laminas-servicemanager >= 3.4.1
+BuildRequires: php-laminas-view >= 2.11.4
%endif
-BuildRequires: phpunit6 >= 6.2.1
+BuildRequires: phpunit8 >= 8.5.8
%endif
# Autoloader
BuildRequires: php-fedora-autoloader-devel
# From composer, "require": {
-# "php": "^7.0 || ^5.6",
-# "laminas/laminas-stdlib": "^2.7 || ^3.0",
-# "laminas/laminas-zendframework-bridge": "^1.0"
-Requires: php(language) >= 5.6
+# "php": "^7.3",
+# "laminas/laminas-stdlib": "^3.2.1",
+# "laminas/laminas-zendframework-bridge": "^1.0.4"
+Requires: php(language) >= 7.3
%if ! %{bootstrap}
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-Requires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.0 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
-Requires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
+Requires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.2.1 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
+Requires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0.4 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
# From composer, "suggest": {
# "laminas/laminas-cache": "Laminas\\Cache component to support cache features",
# "laminas/laminas-db": "Laminas\\Db component",
@@ -195,7 +195,7 @@ exit (class_exists("\\Zend\\%{library}\\Factory") ? 0 : 1);
ret=0
for cmd in php php72 php73 php74; do
if which $cmd; then
- $cmd %{_bindir}/phpunit6 --verbose || ret=1
+ $cmd %{_bindir}/phpunit8 --verbose || ret=1
fi
done
exit $ret
@@ -215,6 +215,13 @@ exit $ret
%changelog
+* Fri Sep 11 2020 Remi Collet <remi@remirepo.net> - 2.9.0-1
+- update to 2.9.0
+- raise dependency to PHP 7.3
+- raise dependency to laminas-stdlib 3.2.1
+- raise dependency to laminas-zendframework-bridge 1.0.4
+- switch to phpunit8
+
* Tue Jun 23 2020 Remi Collet <remi@remirepo.net> - 2.8.3-1
- update to 2.8.3